#!/bin/bash

SERVER=127.0.0.1
AGENT_BINARY=boldagent
TEAM=BoldHearts
CONF=conf.xml

if [ "$1" != "" ]; then
SERVER="$1"
fi
if [ "$2" != "" ]; then
TEAM="$2"
fi
if [ "$3" != "" ]; then
CONF="$3"
fi

#killall -9 $AGENT_BINARY

export LD_LIBRARY_PATH=./libs

for u in {1..11}
do
  ./$AGENT_BINARY -c $CONF -u $u -h $SERVER -t $TEAM > out$u.log 2> err$u.log &
  sleep 1.95
done

